package hoge;

import junit.framework.TestCase;

import org.dbunit.Assertion;
import org.dbunit.database.DatabaseConnection;
import org.dbunit.database.IDatabaseConnection;
import org.dbunit.dataset.IDataSet;
import org.dbunit.dataset.ITable;
import org.dbunit.dataset.excel.XlsDataSet;
import org.dbunit.dataset.xml.FlatXmlDataSet;
import org.dbunit.operation.DatabaseOperation;

public class XLSSampleTest extends TestCase {

	public void testTatakiuri() throws Exception {

		//f[^DBɓ
		DatabaseOperation.CLEAN_INSERT.execute(getConnection(),
				new XlsDataSet(XLSSampleTest.class
						.getResourceAsStream("prepare.xls")));

		//WbN̎s
		Sample hoge = new Sample();
		hoge.tatakiuri();

		//DBۂ̃f[^̎擾
		IDataSet databaseDataSet = getConnection().createDataSet();
		ITable actualTable = databaseDataSet.getTable("cd");
		
		//Ғlf[^̎擾
		IDataSet expectedDataSet = new XlsDataSet(XLSSampleTest.class
				.getResourceAsStream("expected.xls"));
		ITable expectedTable = expectedDataSet.getTable("cd");

		//ҒlƎۂ̃f[^̔r
		Assertion.assertEquals(expectedTable, actualTable);
	}

	protected IDatabaseConnection getConnection() throws Exception {
		return new DatabaseConnection(ConnectionManager.getConnection());
	}

}